Visitor

Prev Next

Visitor

Visitor JSON Format

Visitor is represented as simple flat JSON objects with the following keys:

Name Type Description
id guid Id of the visitor.
name string Name of the visitor.
email string Email of the visitor.
numberOfVisits integer Total number of web pages the visitor has viewed on your website.
numberOfChats integer Total number chats visitor has initiated on your website to date.

Get the list of Visitors

GET global/visitors

  • Parameters:

No Parameters

  • Response:

An array of Visitor

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/visitors \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "visitors": [
      {
          "id": "342fa346-9c32-481f-941a-15cedd21429d",
          "name": "Vincent",
          "email": "Vincent@gmail.com",
          "numberOfVisits": 2,
          "numberOfChats": 1
      }
  ],
  "nextPage": null,
  "previousPage": null,
  "total": 1
} 

Get a single Visitor

GET global/visitors/{id}

  • Parameters:

No Parameters

  • Response:

Visitor

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/visitors/342fa346-9c32-481f-941a-15cedd21429d \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "id": "342fa346-9c32-481f-941a-15cedd21429d",
  "name": "Vincent",
  "email": "Vincent@gmail.com",
  "numberOfVisits": 2,
  "numberOfChats": 1
} 
Copyright © 2022 Comm100 Network Corporation. All Rights Reserved.